import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateComputeEnvironmentInput } from "../types/CreateComputeEnvironmentInput";
import { CreateComputeEnvironmentOutput } from "../types/CreateComputeEnvironmentOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/CreateComputeEnvironmentInput";
export * from "../types/CreateComputeEnvironmentOutput";
export * from "../types/CreateComputeEnvironmentExceptionsUnion";
export declare class CreateComputeEnvironmentCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateComputeEnvironmentInput, OutputTypesUnion, CreateComputeEnvironmentOutput, BatchResolvedConfiguration, Blob> {
    readonly input: CreateComputeEnvironmentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateComputeEnvironmentInput, CreateComputeEnvironmentOutput, Blob>;
    constructor(input: CreateComputeEnvironmentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<CreateComputeEnvironmentInput, CreateComputeEnvironmentOutput>;
}
