import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { CreateJobQueueInput } from "../types/CreateJobQueueInput";
import { CreateJobQueueOutput } from "../types/CreateJobQueueOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/CreateJobQueueInput";
export * from "../types/CreateJobQueueOutput";
export * from "../types/CreateJobQueueExceptionsUnion";
export declare class CreateJobQueueCommand implements __aws_sdk_types.Command<InputTypesUnion, CreateJobQueueInput, OutputTypesUnion, CreateJobQueueOutput, BatchResolvedConfiguration, Blob> {
    readonly input: CreateJobQueueInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<CreateJobQueueInput, CreateJobQueueOutput, Blob>;
    constructor(input: CreateJobQueueInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<CreateJobQueueInput, CreateJobQueueOutput>;
}
