import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteComputeEnvironmentInput } from "../types/DeleteComputeEnvironmentInput";
import { DeleteComputeEnvironmentOutput } from "../types/DeleteComputeEnvironmentOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/DeleteComputeEnvironmentInput";
export * from "../types/DeleteComputeEnvironmentOutput";
export * from "../types/DeleteComputeEnvironmentExceptionsUnion";
export declare class DeleteComputeEnvironmentCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteComputeEnvironmentInput, OutputTypesUnion, DeleteComputeEnvironmentOutput, BatchResolvedConfiguration, Blob> {
    readonly input: DeleteComputeEnvironmentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteComputeEnvironmentInput, DeleteComputeEnvironmentOutput, Blob>;
    constructor(input: DeleteComputeEnvironmentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<DeleteComputeEnvironmentInput, DeleteComputeEnvironmentOutput>;
}
