"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DeregisterJobDefinition_1 = require("../model/operations/DeregisterJobDefinition");
var DeregisterJobDefinitionCommand = /** @class */ (function () {
    function DeregisterJobDefinitionCommand(input) {
        this.input = input;
        this.model = DeregisterJobDefinition_1.DeregisterJobDefinition;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DeregisterJobDefinitionCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DeregisterJobDefinitionCommand;
}());
exports.DeregisterJobDefinitionCommand = DeregisterJobDefinitionCommand;
//# sourceMappingURL=DeregisterJobDefinitionCommand.js.map