"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeJobDefinitions_1 = require("../model/operations/DescribeJobDefinitions");
var DescribeJobDefinitionsCommand = /** @class */ (function () {
    function DescribeJobDefinitionsCommand(input) {
        this.input = input;
        this.model = DescribeJobDefinitions_1.DescribeJobDefinitions;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeJobDefinitionsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeJobDefinitionsCommand;
}());
exports.DescribeJobDefinitionsCommand = DescribeJobDefinitionsCommand;
//# sourceMappingURL=DescribeJobDefinitionsCommand.js.map