import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeJobQueuesInput } from "../types/DescribeJobQueuesInput";
import { DescribeJobQueuesOutput } from "../types/DescribeJobQueuesOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/DescribeJobQueuesInput";
export * from "../types/DescribeJobQueuesOutput";
export * from "../types/DescribeJobQueuesExceptionsUnion";
export declare class DescribeJobQueuesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeJobQueuesInput, OutputTypesUnion, DescribeJobQueuesOutput, BatchResolvedConfiguration, Blob> {
    readonly input: DescribeJobQueuesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeJobQueuesInput, DescribeJobQueuesOutput, Blob>;
    constructor(input: DescribeJobQueuesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<DescribeJobQueuesInput, DescribeJobQueuesOutput>;
}
