import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { TerminateJobInput } from "../types/TerminateJobInput";
import { TerminateJobOutput } from "../types/TerminateJobOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/TerminateJobInput";
export * from "../types/TerminateJobOutput";
export * from "../types/TerminateJobExceptionsUnion";
export declare class TerminateJobCommand implements __aws_sdk_types.Command<InputTypesUnion, TerminateJobInput, OutputTypesUnion, TerminateJobOutput, BatchResolvedConfiguration, Blob> {
    readonly input: TerminateJobInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<TerminateJobInput, TerminateJobOutput, Blob>;
    constructor(input: TerminateJobInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<TerminateJobInput, TerminateJobOutput>;
}
