import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateComputeEnvironmentInput } from "../types/UpdateComputeEnvironmentInput";
import { UpdateComputeEnvironmentOutput } from "../types/UpdateComputeEnvironmentOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/UpdateComputeEnvironmentInput";
export * from "../types/UpdateComputeEnvironmentOutput";
export * from "../types/UpdateComputeEnvironmentExceptionsUnion";
export declare class UpdateComputeEnvironmentCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateComputeEnvironmentInput, OutputTypesUnion, UpdateComputeEnvironmentOutput, BatchResolvedConfiguration, Blob> {
    readonly input: UpdateComputeEnvironmentInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateComputeEnvironmentInput, UpdateComputeEnvironmentOutput, Blob>;
    constructor(input: UpdateComputeEnvironmentInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<UpdateComputeEnvironmentInput, UpdateComputeEnvironmentOutput>;
}
