"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateJobQueue_1 = require("../model/operations/UpdateJobQueue");
var UpdateJobQueueCommand = /** @class */ (function () {
    function UpdateJobQueueCommand(input) {
        this.input = input;
        this.model = UpdateJobQueue_1.UpdateJobQueue;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateJobQueueCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateJobQueueCommand;
}());
exports.UpdateJobQueueCommand = UpdateJobQueueCommand;
//# sourceMappingURL=UpdateJobQueueCommand.js.map