"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateComputeEnvironmentInput_1 = require("../shapes/CreateComputeEnvironmentInput");
var CreateComputeEnvironmentOutput_1 = require("../shapes/CreateComputeEnvironmentOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateComputeEnvironment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateComputeEnvironment",
    http: {
        method: "POST",
        requestUri: "/v1/createcomputeenvironment"
    },
    input: {
        shape: CreateComputeEnvironmentInput_1.CreateComputeEnvironmentInput
    },
    output: {
        shape: CreateComputeEnvironmentOutput_1.CreateComputeEnvironmentOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=CreateComputeEnvironment.js.map