"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeregisterJobDefinitionInput_1 = require("../shapes/DeregisterJobDefinitionInput");
var DeregisterJobDefinitionOutput_1 = require("../shapes/DeregisterJobDefinitionOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeregisterJobDefinition = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeregisterJobDefinition",
    http: {
        method: "POST",
        requestUri: "/v1/deregisterjobdefinition"
    },
    input: {
        shape: DeregisterJobDefinitionInput_1.DeregisterJobDefinitionInput
    },
    output: {
        shape: DeregisterJobDefinitionOutput_1.DeregisterJobDefinitionOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=DeregisterJobDefinition.js.map