"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeComputeEnvironmentsInput_1 = require("../shapes/DescribeComputeEnvironmentsInput");
var DescribeComputeEnvironmentsOutput_1 = require("../shapes/DescribeComputeEnvironmentsOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeComputeEnvironments = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeComputeEnvironments",
    http: {
        method: "POST",
        requestUri: "/v1/describecomputeenvironments"
    },
    input: {
        shape: DescribeComputeEnvironmentsInput_1.DescribeComputeEnvironmentsInput
    },
    output: {
        shape: DescribeComputeEnvironmentsOutput_1.DescribeComputeEnvironmentsOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=DescribeComputeEnvironments.js.map