"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeJobDefinitionsInput_1 = require("../shapes/DescribeJobDefinitionsInput");
var DescribeJobDefinitionsOutput_1 = require("../shapes/DescribeJobDefinitionsOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeJobDefinitions = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeJobDefinitions",
    http: {
        method: "POST",
        requestUri: "/v1/describejobdefinitions"
    },
    input: {
        shape: DescribeJobDefinitionsInput_1.DescribeJobDefinitionsInput
    },
    output: {
        shape: DescribeJobDefinitionsOutput_1.DescribeJobDefinitionsOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=DescribeJobDefinitions.js.map