"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeJobsInput_1 = require("../shapes/DescribeJobsInput");
var DescribeJobsOutput_1 = require("../shapes/DescribeJobsOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeJobs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeJobs",
    http: {
        method: "POST",
        requestUri: "/v1/describejobs"
    },
    input: {
        shape: DescribeJobsInput_1.DescribeJobsInput
    },
    output: {
        shape: DescribeJobsOutput_1.DescribeJobsOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=DescribeJobs.js.map