"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ListJobsInput_1 = require("../shapes/ListJobsInput");
var ListJobsOutput_1 = require("../shapes/ListJobsOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.ListJobs = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "ListJobs",
    http: {
        method: "POST",
        requestUri: "/v1/listjobs"
    },
    input: {
        shape: ListJobsInput_1.ListJobsInput
    },
    output: {
        shape: ListJobsOutput_1.ListJobsOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=ListJobs.js.map