"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var TerminateJobInput_1 = require("../shapes/TerminateJobInput");
var TerminateJobOutput_1 = require("../shapes/TerminateJobOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.TerminateJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "TerminateJob",
    http: {
        method: "POST",
        requestUri: "/v1/terminatejob"
    },
    input: {
        shape: TerminateJobInput_1.TerminateJobInput
    },
    output: {
        shape: TerminateJobOutput_1.TerminateJobOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=TerminateJob.js.map