"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateJobQueueInput_1 = require("../shapes/UpdateJobQueueInput");
var UpdateJobQueueOutput_1 = require("../shapes/UpdateJobQueueOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateJobQueue = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateJobQueue",
    http: {
        method: "POST",
        requestUri: "/v1/updatejobqueue"
    },
    input: {
        shape: UpdateJobQueueInput_1.UpdateJobQueueInput
    },
    output: {
        shape: UpdateJobQueueOutput_1.UpdateJobQueueOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=UpdateJobQueue.js.map