"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ComputeResource_1 = require("./_ComputeResource");
exports._ComputeEnvironmentDetail = {
    type: "structure",
    required: [
        "computeEnvironmentName",
        "computeEnvironmentArn",
        "ecsClusterArn"
    ],
    members: {
        computeEnvironmentName: {
            shape: {
                type: "string"
            }
        },
        computeEnvironmentArn: {
            shape: {
                type: "string"
            }
        },
        ecsClusterArn: {
            shape: {
                type: "string"
            }
        },
        type: {
            shape: {
                type: "string"
            }
        },
        state: {
            shape: {
                type: "string"
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        statusReason: {
            shape: {
                type: "string"
            }
        },
        computeResources: {
            shape: _ComputeResource_1._ComputeResource
        },
        serviceRole: {
            shape: {
                type: "string"
            }
        }
    }
};
//# sourceMappingURL=_ComputeEnvironmentDetail.js.map