"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StringList_1 = require("./_StringList");
var _TagsMap_1 = require("./_TagsMap");
var _LaunchTemplateSpecification_1 = require("./_LaunchTemplateSpecification");
exports._ComputeResource = {
    type: "structure",
    required: [
        "type",
        "minvCpus",
        "maxvCpus",
        "instanceTypes",
        "subnets",
        "instanceRole"
    ],
    members: {
        type: {
            shape: {
                type: "string"
            }
        },
        minvCpus: {
            shape: {
                type: "integer"
            }
        },
        maxvCpus: {
            shape: {
                type: "integer"
            }
        },
        desiredvCpus: {
            shape: {
                type: "integer"
            }
        },
        instanceTypes: {
            shape: _StringList_1._StringList
        },
        imageId: {
            shape: {
                type: "string"
            }
        },
        subnets: {
            shape: _StringList_1._StringList
        },
        securityGroupIds: {
            shape: _StringList_1._StringList
        },
        ec2KeyPair: {
            shape: {
                type: "string"
            }
        },
        instanceRole: {
            shape: {
                type: "string"
            }
        },
        tags: {
            shape: _TagsMap_1._TagsMap
        },
        placementGroup: {
            shape: {
                type: "string"
            }
        },
        bidPercentage: {
            shape: {
                type: "integer"
            }
        },
        spotIamFleetRole: {
            shape: {
                type: "string"
            }
        },
        launchTemplate: {
            shape: _LaunchTemplateSpecification_1._LaunchTemplateSpecification
        }
    }
};
//# sourceMappingURL=_ComputeResource.js.map