"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ParametersMap_1 = require("./_ParametersMap");
var _RetryStrategy_1 = require("./_RetryStrategy");
var _ContainerProperties_1 = require("./_ContainerProperties");
var _JobTimeout_1 = require("./_JobTimeout");
var _NodeProperties_1 = require("./_NodeProperties");
exports._JobDefinition = {
    type: "structure",
    required: ["jobDefinitionName", "jobDefinitionArn", "revision", "type"],
    members: {
        jobDefinitionName: {
            shape: {
                type: "string"
            }
        },
        jobDefinitionArn: {
            shape: {
                type: "string"
            }
        },
        revision: {
            shape: {
                type: "integer"
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        type: {
            shape: {
                type: "string"
            }
        },
        parameters: {
            shape: _ParametersMap_1._ParametersMap
        },
        retryStrategy: {
            shape: _RetryStrategy_1._RetryStrategy
        },
        containerProperties: {
            shape: _ContainerProperties_1._ContainerProperties
        },
        timeout: {
            shape: _JobTimeout_1._JobTimeout
        },
        nodeProperties: {
            shape: _NodeProperties_1._NodeProperties
        }
    }
};
//# sourceMappingURL=_JobDefinition.js.map