"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ComputeEnvironmentOrders_1 = require("./_ComputeEnvironmentOrders");
exports._JobQueueDetail = {
    type: "structure",
    required: [
        "jobQueueName",
        "jobQueueArn",
        "state",
        "priority",
        "computeEnvironmentOrder"
    ],
    members: {
        jobQueueName: {
            shape: {
                type: "string"
            }
        },
        jobQueueArn: {
            shape: {
                type: "string"
            }
        },
        state: {
            shape: {
                type: "string"
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        statusReason: {
            shape: {
                type: "string"
            }
        },
        priority: {
            shape: {
                type: "integer"
            }
        },
        computeEnvironmentOrder: {
            shape: _ComputeEnvironmentOrders_1._ComputeEnvironmentOrders
        }
    }
};
//# sourceMappingURL=_JobQueueDetail.js.map