"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var CreateJobQueue_1 = require("../model/operations/CreateJobQueue");
var CreateJobQueueCommand = /** @class */ (function () {
    function CreateJobQueueCommand(input) {
        this.input = input;
        this.model = CreateJobQueue_1.CreateJobQueue;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    CreateJobQueueCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return CreateJobQueueCommand;
}());
exports.CreateJobQueueCommand = CreateJobQueueCommand;
//# sourceMappingURL=CreateJobQueueCommand.js.map