import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeleteJobQueueInput } from "../types/DeleteJobQueueInput";
import { DeleteJobQueueOutput } from "../types/DeleteJobQueueOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/DeleteJobQueueInput";
export * from "../types/DeleteJobQueueOutput";
export * from "../types/DeleteJobQueueExceptionsUnion";
export declare class DeleteJobQueueCommand implements __aws_sdk_types.Command<InputTypesUnion, DeleteJobQueueInput, OutputTypesUnion, DeleteJobQueueOutput, BatchResolvedConfiguration, Blob> {
    readonly input: DeleteJobQueueInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeleteJobQueueInput, DeleteJobQueueOutput, Blob>;
    constructor(input: DeleteJobQueueInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<DeleteJobQueueInput, DeleteJobQueueOutput>;
}
