import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DeregisterJobDefinitionInput } from "../types/DeregisterJobDefinitionInput";
import { DeregisterJobDefinitionOutput } from "../types/DeregisterJobDefinitionOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/DeregisterJobDefinitionInput";
export * from "../types/DeregisterJobDefinitionOutput";
export * from "../types/DeregisterJobDefinitionExceptionsUnion";
export declare class DeregisterJobDefinitionCommand implements __aws_sdk_types.Command<InputTypesUnion, DeregisterJobDefinitionInput, OutputTypesUnion, DeregisterJobDefinitionOutput, BatchResolvedConfiguration, Blob> {
    readonly input: DeregisterJobDefinitionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DeregisterJobDefinitionInput, DeregisterJobDefinitionOutput, Blob>;
    constructor(input: DeregisterJobDefinitionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<DeregisterJobDefinitionInput, DeregisterJobDefinitionOutput>;
}
