"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeComputeEnvironments_1 = require("../model/operations/DescribeComputeEnvironments");
var DescribeComputeEnvironmentsCommand = /** @class */ (function () {
    function DescribeComputeEnvironmentsCommand(input) {
        this.input = input;
        this.model = DescribeComputeEnvironments_1.DescribeComputeEnvironments;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeComputeEnvironmentsCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeComputeEnvironmentsCommand;
}());
exports.DescribeComputeEnvironmentsCommand = DescribeComputeEnvironmentsCommand;
//# sourceMappingURL=DescribeComputeEnvironmentsCommand.js.map