"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var DescribeJobQueues_1 = require("../model/operations/DescribeJobQueues");
var DescribeJobQueuesCommand = /** @class */ (function () {
    function DescribeJobQueuesCommand(input) {
        this.input = input;
        this.model = DescribeJobQueues_1.DescribeJobQueues;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    DescribeJobQueuesCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return DescribeJobQueuesCommand;
}());
exports.DescribeJobQueuesCommand = DescribeJobQueuesCommand;
//# sourceMappingURL=DescribeJobQueuesCommand.js.map