import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeJobsInput } from "../types/DescribeJobsInput";
import { DescribeJobsOutput } from "../types/DescribeJobsOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/DescribeJobsInput";
export * from "../types/DescribeJobsOutput";
export * from "../types/DescribeJobsExceptionsUnion";
export declare class DescribeJobsCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeJobsInput, OutputTypesUnion, DescribeJobsOutput, BatchResolvedConfiguration, Blob> {
    readonly input: DescribeJobsInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeJobsInput, DescribeJobsOutput, Blob>;
    constructor(input: DescribeJobsInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<DescribeJobsInput, DescribeJobsOutput>;
}
