import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { RegisterJobDefinitionInput } from "../types/RegisterJobDefinitionInput";
import { RegisterJobDefinitionOutput } from "../types/RegisterJobDefinitionOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/RegisterJobDefinitionInput";
export * from "../types/RegisterJobDefinitionOutput";
export * from "../types/RegisterJobDefinitionExceptionsUnion";
export declare class RegisterJobDefinitionCommand implements __aws_sdk_types.Command<InputTypesUnion, RegisterJobDefinitionInput, OutputTypesUnion, RegisterJobDefinitionOutput, BatchResolvedConfiguration, Blob> {
    readonly input: RegisterJobDefinitionInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<RegisterJobDefinitionInput, RegisterJobDefinitionOutput, Blob>;
    constructor(input: RegisterJobDefinitionInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<RegisterJobDefinitionInput, RegisterJobDefinitionOutput>;
}
