"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var __aws_sdk_middleware_stack = require("@aws-sdk/middleware-stack");
var UpdateComputeEnvironment_1 = require("../model/operations/UpdateComputeEnvironment");
var UpdateComputeEnvironmentCommand = /** @class */ (function () {
    function UpdateComputeEnvironmentCommand(input) {
        this.input = input;
        this.model = UpdateComputeEnvironment_1.UpdateComputeEnvironment;
        this.middlewareStack = new __aws_sdk_middleware_stack.MiddlewareStack();
    }
    UpdateComputeEnvironmentCommand.prototype.resolveMiddleware = function (clientStack, configuration) {
        var handler = configuration.handler;
        var stack = clientStack.concat(this.middlewareStack);
        var handlerExecutionContext = {
            logger: {},
            model: this.model
        };
        return stack.resolve(handler(handlerExecutionContext), handlerExecutionContext);
    };
    return UpdateComputeEnvironmentCommand;
}());
exports.UpdateComputeEnvironmentCommand = UpdateComputeEnvironmentCommand;
//# sourceMappingURL=UpdateComputeEnvironmentCommand.js.map