import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { UpdateJobQueueInput } from "../types/UpdateJobQueueInput";
import { UpdateJobQueueOutput } from "../types/UpdateJobQueueOutput";
import { BatchResolvedConfiguration } from "../BatchConfiguration";
export * from "../types/UpdateJobQueueInput";
export * from "../types/UpdateJobQueueOutput";
export * from "../types/UpdateJobQueueExceptionsUnion";
export declare class UpdateJobQueueCommand implements __aws_sdk_types.Command<InputTypesUnion, UpdateJobQueueInput, OutputTypesUnion, UpdateJobQueueOutput, BatchResolvedConfiguration, Blob> {
    readonly input: UpdateJobQueueInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<UpdateJobQueueInput, UpdateJobQueueOutput, Blob>;
    constructor(input: UpdateJobQueueInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, Blob>, configuration: BatchResolvedConfiguration): __aws_sdk_types.Handler<UpdateJobQueueInput, UpdateJobQueueOutput>;
}
