"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CancelJobInput_1 = require("../shapes/CancelJobInput");
var CancelJobOutput_1 = require("../shapes/CancelJobOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CancelJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CancelJob",
    http: {
        method: "POST",
        requestUri: "/v1/canceljob"
    },
    input: {
        shape: CancelJobInput_1.CancelJobInput
    },
    output: {
        shape: CancelJobOutput_1.CancelJobOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=CancelJob.js.map