"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var CreateJobQueueInput_1 = require("../shapes/CreateJobQueueInput");
var CreateJobQueueOutput_1 = require("../shapes/CreateJobQueueOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.CreateJobQueue = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "CreateJobQueue",
    http: {
        method: "POST",
        requestUri: "/v1/createjobqueue"
    },
    input: {
        shape: CreateJobQueueInput_1.CreateJobQueueInput
    },
    output: {
        shape: CreateJobQueueOutput_1.CreateJobQueueOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=CreateJobQueue.js.map