"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteComputeEnvironmentInput_1 = require("../shapes/DeleteComputeEnvironmentInput");
var DeleteComputeEnvironmentOutput_1 = require("../shapes/DeleteComputeEnvironmentOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteComputeEnvironment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteComputeEnvironment",
    http: {
        method: "POST",
        requestUri: "/v1/deletecomputeenvironment"
    },
    input: {
        shape: DeleteComputeEnvironmentInput_1.DeleteComputeEnvironmentInput
    },
    output: {
        shape: DeleteComputeEnvironmentOutput_1.DeleteComputeEnvironmentOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=DeleteComputeEnvironment.js.map