"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DeleteJobQueueInput_1 = require("../shapes/DeleteJobQueueInput");
var DeleteJobQueueOutput_1 = require("../shapes/DeleteJobQueueOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DeleteJobQueue = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DeleteJobQueue",
    http: {
        method: "POST",
        requestUri: "/v1/deletejobqueue"
    },
    input: {
        shape: DeleteJobQueueInput_1.DeleteJobQueueInput
    },
    output: {
        shape: DeleteJobQueueOutput_1.DeleteJobQueueOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=DeleteJobQueue.js.map