"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var DescribeJobQueuesInput_1 = require("../shapes/DescribeJobQueuesInput");
var DescribeJobQueuesOutput_1 = require("../shapes/DescribeJobQueuesOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.DescribeJobQueues = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "DescribeJobQueues",
    http: {
        method: "POST",
        requestUri: "/v1/describejobqueues"
    },
    input: {
        shape: DescribeJobQueuesInput_1.DescribeJobQueuesInput
    },
    output: {
        shape: DescribeJobQueuesOutput_1.DescribeJobQueuesOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=DescribeJobQueues.js.map