"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var RegisterJobDefinitionInput_1 = require("../shapes/RegisterJobDefinitionInput");
var RegisterJobDefinitionOutput_1 = require("../shapes/RegisterJobDefinitionOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.RegisterJobDefinition = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "RegisterJobDefinition",
    http: {
        method: "POST",
        requestUri: "/v1/registerjobdefinition"
    },
    input: {
        shape: RegisterJobDefinitionInput_1.RegisterJobDefinitionInput
    },
    output: {
        shape: RegisterJobDefinitionOutput_1.RegisterJobDefinitionOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=RegisterJobDefinition.js.map