"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var SubmitJobInput_1 = require("../shapes/SubmitJobInput");
var SubmitJobOutput_1 = require("../shapes/SubmitJobOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.SubmitJob = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "SubmitJob",
    http: {
        method: "POST",
        requestUri: "/v1/submitjob"
    },
    input: {
        shape: SubmitJobInput_1.SubmitJobInput
    },
    output: {
        shape: SubmitJobOutput_1.SubmitJobOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=SubmitJob.js.map