"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var UpdateComputeEnvironmentInput_1 = require("../shapes/UpdateComputeEnvironmentInput");
var UpdateComputeEnvironmentOutput_1 = require("../shapes/UpdateComputeEnvironmentOutput");
var ClientException_1 = require("../shapes/ClientException");
var ServerException_1 = require("../shapes/ServerException");
var ServiceMetadata_1 = require("../ServiceMetadata");
exports.UpdateComputeEnvironment = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "UpdateComputeEnvironment",
    http: {
        method: "POST",
        requestUri: "/v1/updatecomputeenvironment"
    },
    input: {
        shape: UpdateComputeEnvironmentInput_1.UpdateComputeEnvironmentInput
    },
    output: {
        shape: UpdateComputeEnvironmentOutput_1.UpdateComputeEnvironmentOutput
    },
    errors: [
        {
            shape: ClientException_1.ClientException
        },
        {
            shape: ServerException_1.ServerException
        }
    ]
};
//# sourceMappingURL=UpdateComputeEnvironment.js.map