"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ArrayProperties_1 = require("./_ArrayProperties");
var _JobDependencyList_1 = require("./_JobDependencyList");
var _ParametersMap_1 = require("./_ParametersMap");
var _ContainerOverrides_1 = require("./_ContainerOverrides");
var _NodeOverrides_1 = require("./_NodeOverrides");
var _RetryStrategy_1 = require("./_RetryStrategy");
var _JobTimeout_1 = require("./_JobTimeout");
exports.SubmitJobInput = {
    type: "structure",
    required: ["jobName", "jobQueue", "jobDefinition"],
    members: {
        jobName: {
            shape: {
                type: "string"
            }
        },
        jobQueue: {
            shape: {
                type: "string"
            }
        },
        arrayProperties: {
            shape: _ArrayProperties_1._ArrayProperties
        },
        dependsOn: {
            shape: _JobDependencyList_1._JobDependencyList
        },
        jobDefinition: {
            shape: {
                type: "string"
            }
        },
        parameters: {
            shape: _ParametersMap_1._ParametersMap
        },
        containerOverrides: {
            shape: _ContainerOverrides_1._ContainerOverrides
        },
        nodeOverrides: {
            shape: _NodeOverrides_1._NodeOverrides
        },
        retryStrategy: {
            shape: _RetryStrategy_1._RetryStrategy
        },
        timeout: {
            shape: _JobTimeout_1._JobTimeout
        }
    }
};
//# sourceMappingURL=SubmitJobInput.js.map