"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _StringList_1 = require("./_StringList");
var _EnvironmentVariables_1 = require("./_EnvironmentVariables");
var _ResourceRequirements_1 = require("./_ResourceRequirements");
exports._ContainerOverrides = {
    type: "structure",
    required: [],
    members: {
        vcpus: {
            shape: {
                type: "integer"
            }
        },
        memory: {
            shape: {
                type: "integer"
            }
        },
        command: {
            shape: _StringList_1._StringList
        },
        instanceType: {
            shape: {
                type: "string"
            }
        },
        environment: {
            shape: _EnvironmentVariables_1._EnvironmentVariables
        },
        resourceRequirements: {
            shape: _ResourceRequirements_1._ResourceRequirements
        }
    }
};
//# sourceMappingURL=_ContainerOverrides.js.map