"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var _ContainerSummary_1 = require("./_ContainerSummary");
var _ArrayPropertiesSummary_1 = require("./_ArrayPropertiesSummary");
var _NodePropertiesSummary_1 = require("./_NodePropertiesSummary");
exports._JobSummary = {
    type: "structure",
    required: ["jobId", "jobName"],
    members: {
        jobId: {
            shape: {
                type: "string"
            }
        },
        jobName: {
            shape: {
                type: "string"
            }
        },
        createdAt: {
            shape: {
                type: "integer"
            }
        },
        status: {
            shape: {
                type: "string"
            }
        },
        statusReason: {
            shape: {
                type: "string"
            }
        },
        startedAt: {
            shape: {
                type: "integer"
            }
        },
        stoppedAt: {
            shape: {
                type: "integer"
            }
        },
        container: {
            shape: _ContainerSummary_1._ContainerSummary
        },
        arrayProperties: {
            shape: _ArrayPropertiesSummary_1._ArrayPropertiesSummary
        },
        nodeProperties: {
            shape: _NodePropertiesSummary_1._NodePropertiesSummary
        }
    }
};
//# sourceMappingURL=_JobSummary.js.map