"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var BatchClient_1 = require("../../BatchClient");
var DescribeComputeEnvironmentsCommand_1 = require("../../commands/DescribeComputeEnvironmentsCommand");
describe("@aws-sdk/client-batch-browser Smoke Tests:", function () {
    defaultRegion = defaultRegion || "us-west-2";
    it("DescribeComputeEnvironments should succeed when given correct input", function (done) {
        var client = new BatchClient_1.BatchClient({
            region: defaultRegion,
            credentials: credentials
        });
        var describeComputeEnvironments = new DescribeComputeEnvironmentsCommand_1.DescribeComputeEnvironmentsCommand({});
        client
            .send(describeComputeEnvironments)
            .then(function (result) {
            expect(typeof result).toBe("object");
            done();
        })
            .catch(function (err) {
            expect(err).toBeUndefined();
            done();
        });
    });
});
//# sourceMappingURL=index.spec.js.map